Package oracle.sql

## Class INTERVALDS

- java.lang.Object
- - oracle.sql.Datum
  - - oracle.sql.INTERVALDS

All Implemented Interfaces:
  `Serializable`

    public class INTERVALDS
    extends Datum

INTERVALDS Class

The `INTERVALDS` class specifies a value to be used to measure time differences.

The internal data for this object is stored as a 11 byte array in the super class' storage area. The bytes are arranged as follows:

          Byte       Represents
           0         High byte of day
           1         2nd high byte of day
           2         3rd high byte of day
           3         least byte of day
           4         hour val + 60
           5         min + 60
           6         sec + 60
           7         High byte of Fractional second
           8         2nd high byte of Fractional Second
           9         3rd high byte of Fractional Second
           10        least byte of Fractional Second

Static methods are used for conversions.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class oracle.sql.Datum

`ojiOracleDatumWithConnection, targetDatum`

### Constructor Summary

Constructors
`INTERVALDS()` Constructs a INTERVALDS object initialized with .
`INTERVALDS​(byte[] intervalDS)` Create an Oracle INTERVALDS object represented by the given intervalDS byte array
`INTERVALDS​(String str)` Create an Oracle INTERVALDS object represented by the given String

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `isConvertibleTo​(Class<?> cls)` Determines if the object can be converted to a particular class
`Object` `makeJdbcArray​(int arraySize)` Returns a JDBC array representation of the datum
`String` `stringValue()` Returns String for this INTERVALDS object
`byte[]` `toBytes()` Convert Oracle INTERVALDS object into a byte array
`static byte[]` `toBytes​(String str)` Convert Java String to Oracle INTERVALDS.
`Object` `toJdbc()` Returns the JDBC representation of the INTERVALDS object
`String` `toString()` Converts a INTERVALDS to a string
`static String` `toString​(byte[] inparray)` Converts a INTERVALDS to a string

### Methods inherited from class oracle.sql.Datum

`asciiStreamValue, bigDecimalValue, binaryStreamValue, booleanValue, bytesEqual, bytesHashCode, byteValue, characterStreamValue, compareBytes, dateValue, doubleValue, equals, floatValue, getBytes, getConnectionDuringExceptionHandling, getLength, getStream, intValue, isNull, longValue, setBytes, setShareBytes, shareBytes, stringValue, timestampValue, timestampValue, timeValue, timeValue, toClass`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### INTERVALDS

    public INTERVALDS()

Constructs a INTERVALDS object initialized with .

#### INTERVALDS

    public INTERVALDS​(byte[] intervalDS)

Create an Oracle INTERVALDS object represented by the given intervalDS byte array

Parameters:
  `intervalDS` - byte array

#### INTERVALDS

    public INTERVALDS​(String str)

Create an Oracle INTERVALDS object represented by the given String

Parameters:
  `str` - Java String object

### Method Detail

#### toBytes

    public byte[] toBytes()

Convert Oracle INTERVALDS object into a byte array

Returns:
  the byte array stored in the INTERVALDS object

#### toBytes

    public static byte[] toBytes​(String str)

Convert Java String to Oracle INTERVALDS.

Parameters:
  `str` - java.lang.String object to be converted.
Returns:
  the byte array representing the input string.

#### toString

    public static String toString​(byte[] inparray)

Converts a INTERVALDS to a string

Parameters:
  `inparray` - a byte array representing the INTERVALDS object
Returns:
  String representing the INTERVALDS object

#### toJdbc

    public Object toJdbc()

Returns the JDBC representation of the INTERVALDS object

Specified by:
  `toJdbc` in class `Datum`
Returns:
  an object containing the JDBC value

#### stringValue

    public String stringValue()

Returns String for this INTERVALDS object

Overrides:
  `stringValue` in class `Datum`
Returns:
  a Java String value

#### toString

    public String toString()

Converts a INTERVALDS to a string

Overrides:
  `toString` in class `Object`
Returns:
  String representing this INTERVALDS object

#### isConvertibleTo

    public boolean isConvertibleTo​(Class<?> cls)

Determines if the object can be converted to a particular class

Specified by:
  `isConvertibleTo` in class `Datum`
Parameters:
  `cls` - Class to convert to
Returns:
  true, if conversion to cls is permitted false, if conversion to cls is not permitted

#### makeJdbcArray

    public Object makeJdbcArray​(int arraySize)

Returns a JDBC array representation of the datum

Specified by:
  `makeJdbcArray` in class `Datum`
Parameters:
  `arraySize` - size of the array
Returns:
  an object containing the JDBC array value